<?php

namespace domain\PointSale\SharedPointSale;

use domain\_\AbstractModule;

class SharedPointSaleModule extends AbstractModule
{
    public function getServices(): array
    {
        return [
            SharedPointSaleDefinition::class,
            SharedPointSaleBuilder::class,
            SharedPointSaleRepository::class,
            SharedPointSaleResolver::class,
            SharedPointSaleManager::class
        ];
    }

    public function getDefinition(): SharedPointSaleDefinition
    {
        return SharedPointSaleDefinition::getInstance();
    }

    public function getBuilder(): SharedPointSaleBuilder
    {
        return SharedPointSaleBuilder::getInstance();
    }

    public function getRepository(): SharedPointSaleRepository
    {
        return SharedPointSaleRepository::getInstance();
    }

    public function getResolver(): SharedPointSaleResolver
    {
        return SharedPointSaleResolver::getInstance();
    }

    public function getManager(): SharedPointSaleManager
    {
        return SharedPointSaleManager::getInstance();
    }
}
